% DSNANON(1)

# NAME

dnsanon - extract DNS queries and responses from pcap to text files with optionally anonymization

# SYNOPSIS

dnsanon  [*-p mqr*] [*-a srcip|full|none*] [*-k KEYFILE*] [*-b BITS*] [*-i PATH*] [*-o PATH*] [*-f PREFIX*] [*-c CMP*] [*-v*]

# DESCRIPTION

Dnsanon reads pcap files, extracts DNS traffic,
and writes it to several plain-text tables (in Fsdb format).
Optionally it anonymizes the IP addresses and queries.

# OPTIONS

-p mqr
:  report DNS m)essages, q)ueries, r)esponses, e)rrors, 
   capital Q and R includes messages in those reports 
   default is mqr (all three, non-unified)

-a WHAT
:  anonymization: full (both src and dest), or srcip, 
   or none, the default)

-k KEYFILE
:  specify the key file.

-b BITS
:  preserve BITS high bits as un-anonymization IP; 
   default is 0, anonymizing all bits if anon is done

-i PATH
:  specify input file path; required

-o PATH
:  specify output path which should be directory; default path is current directory

-c COMPRESSOR
:  compressor, default is '/usr/bin/xz', use "none" to disable

-f OUTPUT_PREFIX
:  prefix of the output file.  default is timestamp of the first packet

-v
:  verbose log; default is none


